/***********************************************************************************************************
 * programme de test de la classe Led
 * 
 *  IUT GEII TOULON - Correction du TP n° 2
 *  M.GRIMALDI - Octobre 2020
 *  
 */

#include "Led.h"              // attention on utilise ici les "" au lieu des <> car Led.h est dans le répertoire courant!

Led l1;                       // une Led
Led l2(3, LOW);               // une Led connectée entre le 5v et la pin 3, allumage sur niveau bas
Led l3(5);                    // une Led connectée entre le GND et la pin 5, allumage sur niveau haut


//-----------------------------------------------------------------------------------------------------------------------------
void setup() {
  l1.set_pin(4);          // l1 est connectée entre le GND et la pin 4, allumage sur niveau haut (voir constructeur par défaut)
  l1.lightOn();           // l1, allume toi!
  l2.lightOff();          // l2.allume toi!
  for (int i=0 ; i<5 ; i++){                // 5 fois
    l3.flash(500);    // un flash de 500 ms
    delay(100);
  }
}


//-----------------------------------------------------------------------------------------------------------------------------
void loop() {
  l1.invert();              // l1, inverse toi!
  l2.invert();              // l2, inverse toi!
  l3.invert();              // l3, inverse toi!
  delay(500);
}

//-----------------------------------------------------------------------------------------------------------------------------
